Ubuntu

USB devices work, but constant syslog errors "unable to enumerate USB device on port 5"

Reported by Robert McMeekin on 2008-08-11
372
This bug affects 73 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned

Bug Description

1) lsb_release -rd
Description: Ubuntu intrepid (development branch)
Release: 8.10

2) apt-cache policy linux
linux:
  Installed: (none)
  Candidate: 2.6.26.5.7
  Version table:
     2.6.26.5.7 0
        500 http://us.archive.ubuntu.com intrepid/restricted Packages

3) I expect for the system to boot up without errors.

4) The system boots up and endlessly repeats:

[...]
[ 595.878673] hub 4-0:1.0: unable to enumerate USB device on port 5
[ 596.410662] hub 4-0:1.0: unable to enumerate USB device on port 5
[ 596.930656] hub 4-0:1.0: unable to enumerate USB device on port 5
[ 597.442648] hub 4-0:1.0: unable to enumerate USB device on port 5
[ 597.966870] hub 4-0:1.0: unable to enumerate USB device on port 5
[ 598.474842] hub 4-0:1.0: unable to enumerate USB device on port 5
[ 599.002838] hub 4-0:1.0: unable to enumerate USB device on port 5
[ 599.518833] hub 4-0:1.0: unable to enumerate USB device on port 5
[...]

<b>Updates</b>

This bug is still present in Ubuntu 9.04 and Ubuntu 9.10, for example in 2.6.31-14-generic-pae. It makes consoles almost impossible to use, and causes a lot of writes due to the constant updating of /var/log/syslog.

A suggestion of the cause is at http://lkml.org/lkml/2008/10/24/209

Robert McMeekin (rrm3) wrote :
Robert McMeekin (rrm3) wrote :
Robert McMeekin (rrm3) wrote :
Robert McMeekin (rrm3) wrote :
Robert McMeekin (rrm3) wrote :
Robert McMeekin (rrm3) wrote :

This error was introduced in Intrepid.

The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would appreciate it if you could please test this newer 2.6.27 Ubuntu kernel. There are one of two ways you should be able to test:

1) If you are comfortable installing packages on your own, the linux-image-2.6.27-* package is currently available for you to install and test.

--or--

2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4. Please watch http://www.ubuntu.com/testing for Alpha5 to be announced. You should then be able to test via a LiveCD.

Please let us know immediately if this newer 2.6.27 kernel resolves the bug reported here or if the issue remains. More importantly, please open a new bug report for each new bug/regression introduced by the 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please specifically note if the issue does or does not appear in the 2.6.26 kernel. Thanks again, we really appreicate your help and feedback.

Bill Roberts (wroberts) wrote :
Download full text (13.3 KiB)

I am running the 2.6.27 kernel and I experience this problem.

Sep 6 23:33:48 desktop2 kernel: [435694.733016] hub 2-0:1.0: unable to enumerate USB device on port 2

Linux desktop2 2.6.27-2-generic #1 SMP Thu Aug 28 17:18:43 UTC 2008 x86_64 GNU/Linux

Bus 006 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 2.00
  bDeviceClass 9 Hub
  bDeviceSubClass 0 Unused
  bDeviceProtocol 0 Full speed (or root) hub
  bMaxPacketSize0 64
  idVendor 0x1d6b Linux Foundation
  idProduct 0x0002 2.0 root hub
  bcdDevice 2.06
  iManufacturer 3
  iProduct 2
  iSerial 1
  bNumConfigurations 1
  Configuration Descriptor:
    bLength 9
    bDescriptorType 2
    wTotalLength 25
    bNumInterfaces 1
    bConfigurationValue 1
    iConfiguration 0
    bmAttributes 0xe0
      Self Powered
      Remote Wakeup
    MaxPower 0mA
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 0
      bAlternateSetting 0
      bNumEndpoints 1
      bInterfaceClass 9 Hub
      bInterfaceSubClass 0 Unused
      bInterfaceProtocol 0 Full speed (or root) hub
      iInterface 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x81 EP 1 IN
        bmAttributes 3
          Transfer Type Interrupt
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0004 1x 4 bytes
        bInterval 12
can't get hub descriptor: Operation not permitted
can't get device qualifier: Operation not permitted
can't get debug descriptor: Operation not permitted
cannot read device status, Operation not permitted (1)

Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 1.10
  bDeviceClass 9 Hub
  bDeviceSubClass 0 Unused
  bDeviceProtocol 0 Full speed (or root) hub
  bMaxPacketSize0 64
  idVendor 0x1d6b Linux Foundation
  idProduct 0x0001 1.1 root hub
  bcdDevice 2.06
  iManufacturer 3
  iProduct 2
  iSerial 1
  bNumConfigurations 1
  Configuration Descriptor:
    bLength 9
    bDescriptorType 2
    wTotalLength 25
    bNumInterfaces 1
    bConfigurationValue 1
    iConfiguration 0
    bmAttributes 0xe0
      Self Powered
      Remote Wakeup
    MaxPower 0mA
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 0
      bAlternateSetting 0
      bNumEndpoints 1
      bInterfaceClass 9 Hub
      bInterfaceSubClass 0 Unused
      bInterfaceProtocol 0 Full speed...

reh4c (gene-hoffler) wrote :

I receive the "cannot enumerate usb device" error on boot with my new custom system. I'll provide the output logs as soon as possible.

Lafa (luis-alves) wrote :

I see the same problem
[ 122.685202] usb 4-1.2.1.2: new full speed USB device using ehci_hcd and address 49
[ 122.769453] hub 4-1.2.1:1.0: unable to enumerate USB device on port 2
[ 125.500387] usb 4-1.2.1.2: new full speed USB device using ehci_hcd and address 50
[ 125.556604] hub 4-1.2.1:1.0: unable to enumerate USB device on port 2
[ 128.577642] usb 4-1.2.1.2: new full speed USB device using ehci_hcd and address 51
[ 128.649397] hub 4-1.2.1:1.0: unable to enumerate USB device on port 2
lafa@grey-shuttle:~$ uname -a
Linux grey-shuttle 2.6.27-3-generic #1 SMP Wed Sep 10 16:18:52 UTC 2008 x86_64 GNU/Linux

2.6.27-3-generic & 2.6.27-4-generic pause for 30 seconds @ [ 8.530273] hub 1-0:1.0: unable to enumerate USB device on port 1

The thread on LKML seems relevant here:

http://lkml.org/lkml/2008/4/26/217

"In any event the message is indeed harmless. It doesn't represent a
real change in behavior; it simply reports a potential error that
previously would go unreported."

Changed in linux:
status: New → Confirmed
Bill Roberts (wroberts) wrote :

I disagree that the message is harmless.

I see a distinct drop in response to my USB keyboard on the machine running Intrepid v.s. a nearly identical machine running Hardy. There are other processes affected as well, that's just the most obvious. The process generating the message is running in a tight unending loop. This never a good thing for an operating system routine to do without purpose.

reh4c (gene-hoffler) wrote :

Using Intrepid livecd x86_64, I get the attached message during bootup.

Shanmuhanathan T (shanmuha) wrote :

I am getting the same errors as reh4c on ubuntu x86_64 /Intrepid. If it helps, the error didnot appear after installing from livecd. However, after upgrading to latest packages, the error started appearing.

Shane Par-Due (shanepardue) wrote :

I get a similar error and if I restart my computer a couple times, it gets through the error message and actually boots properly thereafter.

briancb (brian-bosomworth) wrote :

2.6.27-7-generic (#1 SMP Tue Oct 14 18:38:59 UTC 2008)

I get the same message over and over again on port 1

I also get error code -110

also intrepid does not like the mixture of sata and ata drives I have had to take my sata drive out and load intrepid on my ata drive

Hi all,

i installed ubuntu 8.10 and i have the same problem, but my ubuntu cannot boot.

it starts but suddenly i have this error message

[ 45.016022] usb 1-2; device not accepting address 4, - Error 110
[ 55.560022] usb 1-2; device not accepting address 5, - Error 110
[ 55.560099] hub 1-0; 1-0: unable to enumerate usb device on port 2
[ 71.352023] usb 1-10; device not accepting address 8, - Error 110
[ 87.020023] usb 1-10; device not accepting address 9, - Error 110
[ 97.564022] usb 1-10; device not accepting address 10, - Error 110
[108.108024] usb 1-10; device not accepting address 11, - Error 110
[108.108103] hub 1-0; 1-0: unable to enumerate usb device on port 10

end the pc stops booting.

I have 4 usb ports on the mb and other 4 plugged on the mb but inside the pc (it is this pc http://hifi.lu/detail_produit.php?id_prod=48c12e20cb69d)....you can see the usb on the top (over the cd/dvd reader)

I don't have the same problem with ubuntu 7.10, but get it starting from 8.04 version.

I read someone says to stop the sata drivers, but i have my hard disk, cd/dvd reader and the bluray reader plugged with sata connectin.....so..............

I don't know what can i do,....please help me

best regards

reh4c (gene-hoffler) wrote :

Just did a live boot of Intrepid 8.10 RC and did not see the enumerate error. About 2 weeks ago, I swapped out my RAM based on strange errors during the installation process (for both Mandriva and Ubuntu testing). Other errors have ceased after swapping RAM...could the USB enumeration error have been solved by swapping RAM sticks as well??? If so, then my bug comments may be invalid.

[quote=reh4c,22]Just did a live boot of Intrepid 8.10 RC and did not see the enumerate error. About 2 weeks ago, I swapped out my RAM based on strange errors during the installation process (for both Mandriva and Ubuntu testing). Other errors have ceased after swapping RAM...could the USB enumeration error have been solved by swapping RAM sticks as well??? If so, then my bug comments may be invalid.[/quote]

Hi reh4c,

how did you swapped your RAM.

I want to try it too check if the error will be solved.

Thanks in advance........regards

sureinlux (sureinlux) wrote :

Hi, I use Intrepid Ibex with all the latest updates. After the public release, I updated (safe-upgraded) the linux-image, and found this error messages and none of my usb ports work. This has happened to my laptop and desktop as well.

Details:
1) lsb_release -rd
Description: Ubuntu 8.10
Release: 8.10

2) apt-cache policy linux
linux:
  Installed: (none)
  Candidate: 2.6.27.7.11
  Version table:
     2.6.27.7.11 0
        500 http://archive.ubuntu.uasw.edu intrepid/restricted Packages

my tty is spammed with
hub 4-0:1.0: unable to enumerate USB device on port 1
hub 4-0:1.0: unable to enumerate USB device on port 2

any suggestions...
Thanks in advance

Alejandro Díaz-Caro (janus) wrote :
Download full text (3.8 KiB)

I updated to latest kernel in proposed repository, and now I have this problem too. The touchpad in my laptop worked after I loaded the usbmouse module into the kernel.

$ apt-cache policy linux-image-generic
linux-image-generic:
  Installed: 2.6.27.7.11
  Candidate: 2.6.27.7.11
  Version table:
 *** 2.6.27.7.11 0
        500 http://fr.archive.ubuntu.com intrepid/main Packages
        100 /var/lib/dpkg/status

I am using Kubuntu 8.10 amd64

$ dmesg | tail
[ 3178.640052] usb 1-2: device descriptor read/64, error -62
[ 3178.928133] usb 1-2: device descriptor read/64, error -62
[ 3179.196289] usb 1-2: new low speed USB device using ohci_hcd and address 20
[ 3179.384065] usb 1-2: device descriptor read/64, error -62
[ 3179.672064] usb 1-2: device descriptor read/64, error -62
[ 3179.952074] usb 1-2: new low speed USB device using ohci_hcd and address 21
[ 3180.360059] usb 1-2: device not accepting address 21, error -62
[ 3180.536054] usb 1-2: new low speed USB device using ohci_hcd and address 22
[ 3180.944112] usb 1-2: device not accepting address 22, error -62
[ 3180.946161] hub 1-0:1.0: unable to enumerate USB device on port 2

$ lspci
00:00.0 RAM memory: nVidia Corporation MCP67 Memory Controller (rev a2)
00:01.0 ISA bridge: nVidia Corporation MCP67 ISA Bridge (rev a2)
00:01.1 SMBus: nVidia Corporation MCP67 SMBus (rev a2)
00:01.2 RAM memory: nVidia Corporation MCP67 Memory Controller (rev a2)
00:01.3 Co-processor: nVidia Corporation MCP67 Co-processor (rev a2)
00:02.0 USB Controller: nVidia Corporation MCP67 OHCI USB 1.1 Controller (rev a2)
00:02.1 USB Controller: nVidia Corporation MCP67 EHCI USB 2.0 Controller (rev a2)
00:04.0 USB Controller: nVidia Corporation MCP67 OHCI USB 1.1 Controller (rev a2)
00:04.1 USB Controller: nVidia Corporation MCP67 EHCI USB 2.0 Controller (rev a2)
00:06.0 IDE interface: nVidia Corporation MCP67 IDE Controller (rev a1)
00:07.0 Audio device: nVidia Corporation MCP67 High Definition Audio (rev a1)
00:08.0 PCI bridge: nVidia Corporation MCP67 PCI Bridge (rev a2)
00:09.0 IDE interface: nVidia Corporation MCP67 AHCI Controller (rev a2)
00:0a.0 Ethernet controller: nVidia Corporation MCP67 Ethernet (rev a2)
00:0c.0 PCI bridge: nVidia Corporation MCP67 PCI Express Bridge (rev a2)
00:0d.0 PCI bridge: nVidia Corporation MCP67 PCI Express Bridge (rev a2)
00:12.0 VGA compatible controller: nVidia Corporation GeForce 7150M (rev a2)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
01:09.0 FireWire (IEEE 1394): Ricoh Co Ltd R5C832 IEEE 1394 Controller (rev 05)
01:09.1 SD Host controller: Ricoh Co Ltd R5C822 SD/...

Read more...

Alejandro Díaz-Caro (janus) wrote :
Bieleke (pbielen) wrote :

Same problems here, after trying to install a complete fresh ubuntu.

This issue occours on Intrepid, but hence also on Hardy.
So i was not able to install any version with success.

Alejandro Díaz-Caro (janus) wrote :

After the latest apparmor update, it is working for me again.

$ apt-cache policy apparmor
apparmor:
  Installed: 2.3+1289-0ubuntu4.1
  Candidate: 2.3+1289-0ubuntu4.1
  Version table:
 *** 2.3+1289-0ubuntu4.1 0
        500 http://fr.archive.ubuntu.com intrepid-proposed/main Packages
        100 /var/lib/dpkg/status
     2.3+1289-0ubuntu4 0
        500 http://fr.archive.ubuntu.com intrepid/main Packages

$ lsusb
Bus 004 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 002: ID 04f2:b016 Chicony Electronics Co., Ltd
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 004: ID 062a:0001 Creative Labs Notebook Optical Mouse <------
Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

$dmesg
[ 439.549241] usb 1-1: new low speed USB device using ohci_hcd and address 4
[ 439.758443] usb 1-1: configuration #1 chosen from 1 choice
[ 439.997850] usbcore: registered new interface driver hiddev
[ 440.006998] input: HID 062a:0001 as /devices/pci0000:00/0000:00:02.0/usb1/1-1/1-1:1.0/input/input11
[ 440.049539] input,hidraw0: USB HID v1.10 Mouse [HID 062a:0001] on usb-0000:00:02.0-1
[ 440.050600] usbcore: registered new interface driver usbhid
[ 440.051049] usbhid: v2.6:USB HID core driver

sureinlux (sureinlux) wrote :

The above solution did not work for me! I took my laptop to the service center and I was told that the USB ports are not receiving enough power. They (the USB ports) are supposed to be getting 5mA, but they were only getting 2mA. A lsusb -v showed they are getting only 0mA !!!

me@my-lappy:~$ apt-cache policy apparmor
apparmor:
  Installed: 2.3+1289-0ubuntu4
  Candidate: 2.3+1289-0ubuntu4
  Version table:
 *** 2.3+1289-0ubuntu4 0
        500 http://ftp.u-picardie.fr intrepid/main Packages
        100 /var/lib/dpkg/status

me@lappy:~$ dmesg |grep usb
[ 2.948965] usbcore: registered new interface driver usbfs
[ 2.948999] usbcore: registered new interface driver hub
[ 2.969571] usbcore: registered new device driver usb
[ 3.643344] usb usb1: configuration #1 chosen from 1 choice
[ 3.757259] usb usb2: configuration #1 chosen from 1 choice

me@lappy:~$ lsusb
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

still my pendrive or usb mouse does not work...

It worked for me until now, I didn't change anything, but it stop working :\

My bluetooth also does not work. Am not sure how to report it with specific details. Any help?

I solved using in boot mode the option noapic nousb

best regards

siick (siick) wrote :

Same problem for me when i put sd card.

Phil (philippk87) wrote :

Happens to me when trying to hibernate/suspend/standby whatever....endless loop.

harvest316 (harvest316) wrote :

I can confirm that a cold boot rectifies this.

Tony Manco (trmanco) wrote :

I can confirm this.
It is happening to me on a USB card reader after I plug it in. It doesn't get recognized with or without any card inserted. Instead it will enter a loop repeating this:

[...]
[ 1794.407577] usb 5-7: new high speed USB device using ehci_hcd and address 35
[ 1794.460877] hub 5-0:1.0: unable to enumerate USB device on port 7
[ 1794.704084] usb 5-7: new high speed USB device using ehci_hcd and address 36
[ 1794.760252] hub 5-0:1.0: unable to enumerate USB device on port 7
[ 1795.000543] usb 5-7: new high speed USB device using ehci_hcd and address 37
[ 1795.056258] hub 5-0:1.0: unable to enumerate USB device on port 7
[ 1795.244296] hub 5-0:1.0: unable to enumerate USB device on port 7
[ 1795.432280] hub 5-0:1.0: unable to enumerate USB device on port 7
[ 1795.676032] usb 5-7: new high speed USB device using ehci_hcd and address 40
[ 1795.732273] hub 5-0:1.0: unable to enumerate USB device on port 7
[ 1795.976154] usb 5-7: new high speed USB device using ehci_hcd and address 41
[ 1796.033284] hub 5-0:1.0: unable to enumerate USB device on port 7
[ 1796.220300] hub 5-0:1.0: unable to enumerate USB device on port 7
[ 1796.408800] hub 5-0:1.0: unable to enumerate USB device on port 7
[ 1796.652032] usb 5-7: new high speed USB device using ehci_hcd and address 44
[ 1796.708302] hub 5-0:1.0: unable to enumerate USB device on port 7
[ 1796.956052] usb 5-7: new high speed USB device using ehci_hcd and address 45
[ 1797.013553] hub 5-0:1.0: unable to enumerate USB device on port 7
[ 1797.256051] usb 5-7: new high speed USB device using ehci_hcd and address 46
[ 1797.313442] hub 5-0:1.0: unable to enumerate USB device on port 7
[ 1797.500328] hub 5-0:1.0: unable to enumerate USB device on port 7
[ 1797.688332] hub 5-0:1.0: unable to enumerate USB device on port 7
[ 1797.876332] hub 5-0:1.0: unable to enumerate USB device on port 7
[ 1798.060839] hub 5-0:1.0: unable to enumerate USB device on port 7
[ 1798.248841] hub 5-0:1.0: unable to enumerate USB device on port 7
[ 1798.436353] hub 5-0:1.0: unable to enumerate USB device on port 7
[ 1798.624610] hub 5-0:1.0: unable to enumerate USB device on port 7
[ 1798.812729] hub 5-0:1.0: unable to enumerate USB device on port 7
[...]

This output is from dmesg. It has been happening to me since Hardy, I've upgraded to Intrepid and it didn't change.

Gustavo A. Díaz (gdiaz) wrote :

Hi Guys,

I don't know if this is related, but today i've decided to test Kubuntu 9.04 latest alpha and i have a flood of this without stop:

[ 25.488059] hub 2-0:1.0: unable to enumerate USB device on port 6
[ 25.700052] hub 1-0:1.0: unable to enumerate USB device on port 6

Those two lines since I boot my laptop (Acer Aspire 5520-5281)
I never saw this problem on 8.10.

Cheers.

Gustavo A. Díaz (gdiaz) wrote :

By the way... i forgot to say.. this happen whatever i have or not devices connected to my USB.

Phil (philippk87) wrote :

This is the exact same thing^^

Keeps saying that
blimmm
new line
blimmm
new line
blimmm
new line
blimmm
new line
blimmm
new line

Jan-Niklas Meier (dschanoeh) wrote :

I am getting similar messages. they appear even if there is no usb device connected. If i connect a device i am not able to use it. This occured with different kernel versions. Now i am running:

$ uname -a
Linux DeepThought 2.6.30-020630rc7-generic #020630rc7 SMP Sun May 24 01:38:23 UTC 2009 i686 GNU/Linux

$ lsusb
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

$ dmesg | tail
[ 1232.453533] hub 1-0:1.0: connect-debounce failed, port 3 disabled
[ 1234.629589] hub 1-0:1.0: connect-debounce failed, port 3 disabled
[ 1235.301622] hub 2-0:1.0: unable to enumerate USB device on port 1
[ 1237.898293] hub 1-0:1.0: connect-debounce failed, port 3 disabled
[ 1240.329543] hub 1-0:1.0: connect-debounce failed, port 3 disabled
[ 1240.513588] hub 2-0:1.0: unable to enumerate USB device on port 1
[ 1242.801572] hub 1-0:1.0: connect-debounce failed, port 3 disabled
[ 1245.205537] hub 1-0:1.0: connect-debounce failed, port 3 disabled
[ 1246.237797] hub 2-0:1.0: unable to enumerate USB device on port 1
[ 1248.157539] hub 1-0:1.0: connect-debounce failed, port 3 disabled

summary: - unable to enumerate USB device on port 5
+ USB devices work, but constant syslog errors "unable to enumerate USB
+ device on port 5"
description: updated
Changed in linux (Ubuntu):
status: Confirmed → In Progress
status: In Progress → Confirmed
26 comments hidden view all 106 comments
cesarth (cesar-tejeda-her) wrote :

The same happened to me with Debian Lenny, and now with Ubuntu lucid. With debian I ended up disabling ehci_hcd driver, and consecuently, having low speed on USB ports. With previous versions of Debian it didn't happened, and with versions of Ubuntu prior to 2007. I think it is a kernel problem with that module (ehci_hcd).

cesarth (cesar-tejeda-her) wrote :

I have found that when I disconnect a cable that goes from the mainboard to a flash card reader (the yellow one, because there is a green one that goes to the car reader that doesn't need to be disconnected), the message dissapears.
It dessapears too if I disable echi for the device. I do the following (as root):
root@CTHubuntu:~# cd /sys/bus/pci/drivers/ehci_hcd
root@CTHubuntu:/sys/bus/pci/drivers/ehci_hcd# ls -l
total 0
lrwxrwxrwx 1 root root 0 2010-12-28 20:51 0000:00:1d.7 -> ../../../../devices/pci0000:00/0000:00:1d.7
--w------- 1 root root 4096 2010-12-28 20:51 bind
lrwxrwxrwx 1 root root 0 2010-12-28 19:51 module -> ../../../../module/ehci_hcd
--w------- 1 root root 4096 2010-12-28 19:51 new_id
--w------- 1 root root 4096 2010-12-28 19:51 remove_id
--w------- 1 root root 4096 2010-12-28 19:51 uevent
--w------- 1 root root 4096 2010-12-28 20:44 unbind
root@CTHubuntu:/sys/bus/pci/drivers/ehci_hcd# echo -n "0000:00:1d.7" > unbind

and volà ! the message goes away.
this has an effect in the lsusb command:

after deactivating:

root@CTHubuntu:/sys/bus/pci/drivers/ehci_hcd# lsusb
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 004: ID 116f:c109 Silicon 10 Technology Corp. Flash Card Reader
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

It doesn't find bus number 1 (the message was [ 3539.169397] hub 1-0:1.0: unable to enumerate USB device on port 1 ).

and before deactivating it has bus number one but fails to identify what is connected to bus 002, device 004.

root@CTHubuntu:/sys/bus/pci/drivers/ehci_hcd# lsusb
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

I would like to know the card reader vendor to see if the error is that it is not known to Linux. (if the error is that is not found in the list of /var/lib/usbutils/usb.ids, updated by the command sudo update-usbids).

A note:
root@CTHubuntu:/sys/bus/pci/drivers/ehci_hcd# lspci|grep -i ehci
00:1d.7 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB2 EHCI Controller (rev 03)

I will post again if I can get any further.

> This bug is still present in Ubuntu 9.04 and Ubuntu 9.10, for example in
> 2.6.31-14-generic-pae. It makes consoles almost impossible to use, and
> causes a lot of writes due to the constant updating of /var/log/syslog.

I haven't seen this issue show up in 10.10. I did remove a device (Memorex
USB DVD writer) that died. Even if the device had a slow death, it should
not lead to the kernel becoming crazy about it.

I suspected it might be something to do with my card reader, since I didn't have any obvious usb device connected. I'll have to investigate at some point

adrian (adrianh-bsc) wrote :

In any case, is there SOME WAY to disable this message?!?!?!? I can not use ANY of the terminals, I jump from one to another and the messages follow which ever terminal I use. This is more than just inconvenient, I can't update my video driver because of it. :(((

Matt Ryan (matt-mdryan) wrote :

You can disable the messages by appending 'nousb' to your kernel parameters. This will of course also disable your usb hardware though.

cesarth (cesar-tejeda-her) wrote :

@ adrian

In my post of the 2010-12-28 i showed how I disabled the message.

cesarth (cesar-tejeda-her) wrote :

I've written the following script to disable it at startup:

> cat /etc/init.d/CTH_disable_ehci_bad_hw
#/bin/sh
# sacado de http://wiki.ubuntuusers.de/Benutzer/BigMc/Tascam_US-144
# con esto deshabilito el hw de la tarjeta flash que me molesta.
#
# ls /sys/bus/pci/drivers/ehci_hcd

echo -n 0000:00:1d.7 | tee -a /sys/bus/pci/drivers/ehci_hcd/unbind

# para rehabilitarlo seria

# echo -n 0000:00:1d.7 | tee -a /sys/bus/pci/drivers/ehci_hcd/bind

(sorry for the spanish)
and then I added the following line to /etc/rc.local:

/etc/init.d/CTH_disable_ehci_bad_hw

I hope this helps. (the device 0000:00:1d.7 will change in your case and you can find it with ls /sys/bus/pci/drivers/ehci_hcd).

Franco (francogpellegrini) wrote :

i have the same problem after install ubuntu 11.04!

Franco (francogpellegrini) wrote :

sorry, i have an acer 5520

J B (scottie) wrote :

might be a regression.

same issue for me on a HP dv2000.

$ lspci
00:00.0 RAM memory: nVidia Corporation MCP67 Memory Controller (rev a2)
00:01.0 ISA bridge: nVidia Corporation MCP67 ISA Bridge (rev a2)
00:01.1 SMBus: nVidia Corporation MCP67 SMBus (rev a2)
00:01.2 RAM memory: nVidia Corporation MCP67 Memory Controller (rev a2)
00:01.3 Co-processor: nVidia Corporation MCP67 Co-processor (rev a2)
00:02.0 USB Controller: nVidia Corporation MCP67 OHCI USB 1.1 Controller (rev a2)
00:02.1 USB Controller: nVidia Corporation MCP67 EHCI USB 2.0 Controller (rev a2)
00:04.0 USB Controller: nVidia Corporation MCP67 OHCI USB 1.1 Controller (rev a2)
00:04.1 USB Controller: nVidia Corporation MCP67 EHCI USB 2.0 Controller (rev a2)
00:06.0 IDE interface: nVidia Corporation MCP67 IDE Controller (rev a1)
00:07.0 Audio device: nVidia Corporation MCP67 High Definition Audio (rev a1)
00:08.0 PCI bridge: nVidia Corporation MCP67 PCI Bridge (rev a2)
00:09.0 IDE interface: nVidia Corporation MCP67 AHCI Controller (rev a2)
00:0a.0 Ethernet controller: nVidia Corporation MCP67 Ethernet (rev a2)
00:0c.0 PCI bridge: nVidia Corporation MCP67 PCI Express Bridge (rev a2)
00:0d.0 PCI bridge: nVidia Corporation MCP67 PCI Express Bridge (rev a2)

kern.log
May 18 23:46:27 kernel: [ 784.610060] hub 2-0:1.0: unable to enumerate USB device on port 5
May 18 23:46:27 kernel: [ 784.920059] hub 2-0:1.0: unable to enumerate USB device on port 5
May 18 23:46:28 kernel: [ 785.230082] hub 2-0:1.0: unable to enumerate USB device on port 5
May 18 23:46:28 kernel: [ 785.540143] hub 2-0:1.0: unable to enumerate USB device on port 5

NEVER ENDING

also on syslog

Ctrl+Alt+F1 tty UNUSABLE and produces the same error message repeatedly by line.

i remembered i tried the last or one of the last kernel versions (2.6.35.????) for ubuntu 10.10 on an 11.04 upgrade, and these messages didnt appear after grub boot (removed 'quiet splash' from grub to see)

however there were some errors on starting some default applications. and a bit of a slow startup.

so now i've updated the bios and did a clean ubuntu reinstall, but to no avail. faster startup but error message still appears. Trying both the amd64 standard and alternate installers. I might try the i386 32 bit one next. but since this is 64 bit capable system with 4gb of mem, the 64 bit one seems the better choice.

aside from error messages things seem to work normally.

this report below might be related: (same error, same nvidia mcp67 controller)
https://lists.linux-foundation.org/pipermail/bugme-new/2010-November/025981.html

also to note that alternate install seems to get some updates from internet during installation. so am not sure if default install of ubuntu without internet would produce the error.

also saw this error on a recent Clonezilla on the same computer, rendering clonezilla unusable. but using an older i386 (or ?686) CD works without the error.

J B (scottie) wrote :

oh also ive tried
1.) the unbind commands mentioned above for ls /sys/bus/pci/drivers/ehci_hcd
the devices disappeared from ls /sys/bus/pci/drivers/ehci_hcd, but the error messages still appear on kern.log.
2.) unplugging the laptop and removing the battery as mentioned in forums, to no avail.
3.) also tried update-usbids at terminal (error still goes on and on)

others can try these though, in case their error message is caused by something else

(also upgraded bios to latest from HP site released this year to no avail)

so next step for me is to install all updates for this amd64 installation, see if fixed.

if not try out the unplugging method again.

then if not try installing the 32 bit ubuntu 11.04 desktop.

J B (scottie) wrote :

Well looks like nobody's assigned to this bug. Still, it is confirmed.

So a workaround worked:

at first simply unbinding ehci entries worked inconsistently, but also unbinding ohci entries did the trick.

adding the following to /etc/rc.local worked for me:
#unbind ehci (USB2.0) and ohci (USB1.1)
echo -n 0000:00:02.1 | tee -a /sys/bus/pci/drivers/ehci_hcd/unbind
echo -n 0000:00:02.0 | tee -a /sys/bus/pci/drivers/ohci_hcd/unbind
echo -n 0000:00:04.1 | tee -a /sys/bus/pci/drivers/ehci_hcd/unbind
echo -n 0000:00:04.0 | tee -a /sys/bus/pci/drivers/ohci_hcd/unbind
# note the 0's and 1's differences in ehci and ohci
# change the numbers according to your entries in ls /sys/bus/pci/drivers/ehci_hcd (and again in ohci_hcd)

# bind them back
echo -n 0000:00:02.1 | tee -a /sys/bus/pci/drivers/ehci_hcd/bind
echo -n 0000:00:04.1 | tee -a /sys/bus/pci/drivers/ehci_hcd/bind

# i left these two out, because sometimes rebinding too soon made the error reoccur:
#echo -n 0000:00:02.0 | tee -a /sys/bus/pci/drivers/ohci_hcd/bind
#echo -n 0000:00:04.0 | tee -a /sys/bus/pci/drivers/ohci_hcd/bind
# i just rebind ohci from terminal for the USB mouse.

# at terminal
#echo -n 0000:00:02.0 | sudo tee -a /sys/bus/pci/drivers/ohci_hcd/bind
# sudo needed for binding and unbinding

linux - ubuntu gurus:
is there a way to unbind sooner and then rebind right before the desktop screen? Kindly provide complete instructions if you can, thanks.

(the error still appears right after SATA scsi Hard drive configuration and after the usb mouse is detected. Then disappears when the unbinding script kicks in.
That's why there is a need to unbind sooner, or maybe put off original initial binding to a later time)
Will probably look into this when i have some more time. put in considerable hours already into this one.

guess kernel can be modified. But dont know how to do that, yet.

-On Ubuntu 11.04 (updated)

Jimmy Merrild Krag (beruic) wrote :

Hello

I'm not completely sure this is the exact issue I have, however when I look at syslog (that's what you can see at [ctrl]+[alt]+[F7], right?*) I have new "unable to enumerate USB device on port 6" appearing every half second or so, after having my computer asleep.
It only happens every now and then, however I think that it's related to USB-devices being connected when the sleep is initiated, as it usually seems related to my webcam, which is USB-connected, but cannot be detached since it is kinda built into my laptop.

I have found two ways to stop this. The one can be found at http://www.absolutelytech.com/2010/04/18/solved-unable-to-enumerate-usb-device-disabling-ehci_hcd/, the other is to simple open Cheese (the webcam program), force quit it when it turns grey, and then when my webcam indicator blinks it works. The last one however, I only tried once so far, but will retry again when i have the chance.

Now, is there any further info I can provide to resolve this?

Sorry this is so messy, I'm preparing for exams right now, so this is really slack :)

* I ask because I can't seem to find any documentation on the behaviour of the [ctrl]+[alt]+[F?] buttons anywhere. I havn't bothered till now btw, so maybe I just havn't searched thoroughly enough

Franco (francogpellegrini) wrote :

if i execute the commands said by #80, i get:

sed: couldn't flush stdout: No existe el dispositivo

Franco (francogpellegrini) wrote :

All my USB ports work fine, but messages keep appearing.
I just test the 2.6.39.1 kernel and the problems remain the same as with versions 2.6.38.x

Jimmy Merrild Krag (beruic) wrote :

@Franco: Did you ls the folder first to get the right numbers?

Franco (francogpellegrini) wrote :

@Jimmy Merrild Krag:

franco@franco-Aspire-5520:/sys/bus/pci/drivers/ehci_hcd$ find ./ -name "0000:00:*" -print
./0000:00:02.1
./0000:00:04.1
franco@franco-Aspire-5520:/sys/bus/pci/drivers/ehci_hcd$ sudo sh -c 'find ./ -name "0000:00:*" -print| sed "s/\.\///">unbind'
[sudo] password for franco: ******************************
sed: couldn't flush stdout: No existe el dispositivo

Messages:
hub 1-0:1.0: unable to enumerate USB device on port 6
hub 3-0:1.0: unable to enumerate USB device on port 6
reiteratively made it impossible to work on console.

@Franco (sed: couldn't flush stdout: No existe el dispositivo)
I got the same message although in German ;-).

Workaround:
Edit /etc/rc.local

Insert the following:

cd /sys/bus/pci/drivers/ehci_hcd
for i in `ls -d 0000:00:*`;do echo $i > unbind;sleep 5; echo $i > bind; done

See also #79 (Thanks to J B).

You see: I unbind and then bind the ehci entries again. If I don't bind the entry again, one of the message keeps spaming the console. Binding again let vanish the messages.

Compared to J B's suggestions I had not to touch the ohci entries.

Jimmy Merrild Krag (beruic) wrote :

@France: Try
    sudo sh -c 'echo -n "0000:00:xx.x" > unbind'
on each. The other command didn't work for me either.

Jimmy Merrild Krag (beruic) wrote :

@Franco: I'd go for trying out #85. Haven't had the opportunity to test it though.

Franco (francogpellegrini) wrote :

@Jimmy Merrild Krag:
i try sudo sh -c 'echo -n "0000:00:xx.x" > unbind'.. but problem continues.

@Reinhard H. #85
yes! that work! (and my usb keep working)

thanks

Jimmy Merrild Krag (beruic) wrote :

Anyone got a way I can trigger this issue?
I have a feeling that there might be more sources for the issue, and/or solutions.

J B (scottie) wrote :

Hi Jimmy,

I think some laptop chipsets trigger the issue.

those with NVIDIA MCP67 ? - others can verify their chipsets

using lspci

laptop in question:
00:01.3 Co-processor: nVidia Corporation MCP67 Co-processor (rev a2)
00:02.0 USB Controller: nVidia Corporation MCP67 OHCI USB 1.1 Controller (rev a2)
00:02.1 USB Controller: nVidia Corporation MCP67 EHCI USB 2.0 Controller (rev a2)
00:04.0 USB Controller: nVidia Corporation MCP67 OHCI USB 1.1 Controller (rev a2)
00:04.1 USB Controller: nVidia Corporation MCP67 EHCI USB 2.0 Controller (rev a2)

00:06.0 IDE interface: nVidia Corporation MCP67 IDE Controller (rev a1)
00:07.0 Audio device: nVidia Corporation MCP67 High Definition Audio (rev a1)
00:08.0 PCI bridge: nVidia Corporation MCP67 PCI Bridge (rev a2)
00:09.0 IDE interface: nVidia Corporation MCP67 AHCI Controller (rev a2)
00:0a.0 Ethernet controller: nVidia Corporation MCP67 Ethernet (rev a2)
00:0c.0 PCI bridge: nVidia Corporation MCP67 PCI Express Bridge (rev a2)
00:0d.0 PCI bridge: nVidia Corporation MCP67 PCI Express Bridge (rev a2)

00:12.0 VGA compatible controller: nVidia Corporation C67 [GeForce 7150M / nForce 630M] (rev a2)

J B (scottie) wrote :

oh yeah workaround in my post on #79 you need to look up your USB (?port) numbers

ls /sys/bus/pci/drivers/ehci_hcd
ls /sys/bus/pci/drivers/ohci_hcd

post on #85 looks cleaner, didn't try it though.

Franco (francogpellegrini) wrote :

According to my specifications:

-----------------------------------------------------------------
00:00.0 RAM memory: nVidia Corporation MCP67 Memory Controller (rev a2)
00:01.0 ISA bridge: nVidia Corporation MCP67 ISA Bridge (rev a2)
00:01.1 SMBus: nVidia Corporation MCP67 SMBus (rev a2)
00:01.2 RAM memory: nVidia Corporation MCP67 Memory Controller (rev a2)
00:01.3 Co-processor: nVidia Corporation MCP67 Co-processor (rev a2)
00:02.0 USB Controller: nVidia Corporation MCP67 OHCI USB 1.1 Controller (rev a2)
00:02.1 USB Controller: nVidia Corporation MCP67 EHCI USB 2.0 Controller (rev a2)
00:04.0 USB Controller: nVidia Corporation MCP67 OHCI USB 1.1 Controller (rev a2)
00:04.1 USB Controller: nVidia Corporation MCP67 EHCI USB 2.0 Controller (rev a2)
00:06.0 IDE interface: nVidia Corporation MCP67 IDE Controller (rev a1)
00:07.0 Audio device: nVidia Corporation MCP67 High Definition Audio (rev a1)
00:08.0 PCI bridge: nVidia Corporation MCP67 PCI Bridge (rev a2)
00:09.0 IDE interface: nVidia Corporation MCP67 AHCI Controller (rev a2)
00:0a.0 Ethernet controller: nVidia Corporation MCP67 Ethernet (rev a2)
00:0c.0 PCI bridge: nVidia Corporation MCP67 PCI Express Bridge (rev a2)
00:0d.0 PCI bridge: nVidia Corporation MCP67 PCI Express Bridge (rev a2)
00:12.0 VGA compatible controller: nVidia Corporation C67 [GeForce 7000M / nForce 610M] (rev a2)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
01:04.0 FireWire (IEEE 1394): Ricoh Co Ltd R5C832 IEEE 1394 Controller (rev 05)
01:04.1 SD Host controller: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter (rev 22)
01:04.2 System peripheral: Ricoh Co Ltd R5C592 Memory Stick Bus Host Adapter (rev 12)
01:04.3 System peripheral: Ricoh Co Ltd xD-Picture Card Controller (rev 12)
05:00.0 Ethernet controller: Atheros Communications Inc. AR5001 Wireless Network Adapter (rev 01)
-----------------------------------------------------------------

My problem (#84), that was "patched" with #85, is caused by USB 2.0 ¿driver?

Matt Ryan (matt-mdryan) wrote :

Mine is an Intel 82801I (ICH9 Family) laptop chipset.

I've pretty much given up getting usb to work on this laptop. If I unbind the driver from one port then the issue comes back a little later on a different one. I keep meaning to boot it into Windows to confirm that it is in fact a hardware error and will follow up here if I ever do. To avoid spamming the console I just boot with the nousb kernel option.

Jimmy Merrild Krag (beruic) wrote :

Mine is Intel 82801H (ICH8 Family).
No nVidia hardware.
USB works, but I have seen this issue a few times.

This bug was filed against a series that is no longer supported and so is being marked as Won't Fix. If this issue still exists in a supported series, please file a new bug.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: Confirmed → Won't Fix
David Burke (bufke) wrote :

This should be Confirmed. People are saying it's present on 11.04 which is certainly still supported. Someone with access please update.

J B (scottie) wrote :

looks like have to file a new bug?

update on this is that bluetooth actually stopped working on the laptop the unbind fix was applied on.
so it was not a real fix if i wanted to use bluetooth.

bluetooth works on windows.

other info which might be related:
- for this laptop, bluetooth is also disabled in ubuntu if it was switched off in windows. this was already discussed in http://ubuntuforums.org/showpost.php?p=8720388&postcount=5

anyway,
gave up on it and just mainly use windows on that laptop now after the ubuntu partition stopped working even after reformat/reinstall. failed most probably due to overheating issues (separate laptop issue). unable to enumerate error looks disruptive to the installation as well.

the laptop's days are numbered. unless a hardware fix is applied. probably later.

James Winchester (jtranser) wrote :

been happening since three days ago: "unable to enumerate device on usb port 5"

lekksi (aleksi-lekksi) wrote :

The message "[ **** ] hub 1-1:1.0: unable to enumerate USB device on port 6" shows up in syslog about 3 times / second. Usb devices seem to work normally. I have seen this happening in 11.04 and now on 11.10.

The bug makes login shell (Ctrl + Alt + F1) unusable as the error messages are printed on the screen.

I'll provide more information if needed.

J B (scottie) wrote :

no more 'unable to enumerate device' errors for me, when using xubuntu 11.10 on the same hardware.

great job.

Joost (joost-van-weenen) wrote :

I also have this error. All my USB devices seem to work. Like lekksi says this error makes tty1 completly unusable! Plz fix.

...@desktop-linux:/var/log$ uname -a
Linux desktop-linux 3.0.0-12-generic-pae #20-Ubuntu SMP Fri Oct 7 16:37:17 UTC 2011 i686 i686 i386 GNU/Linux

My syslog is completly spammed with the error:
Oct 29 13:10:17 desktop-linux kernel: [ 631.853855] hub 8-0:1.0: unable to enumerate USB device on port 2
Oct 29 13:10:17 desktop-linux kernel: [ 632.105217] hub 8-0:1.0: unable to enumerate USB device on port 2
Oct 29 13:10:17 desktop-linux kernel: [ 632.348537] hub 8-0:1.0: unable to enumerate USB device on port 2
Oct 29 13:10:18 desktop-linux kernel: [ 632.596003] hub 8-0:1.0: unable to enumerate USB device on port 2
Oct 29 13:10:18 desktop-linux kernel: [ 632.843384] hub 8-0:1.0: unable to enumerate USB device on port 2
Oct 29 13:10:18 desktop-linux kernel: [ 633.090696] hub 8-0:1.0: unable to enumerate USB device on port 2
Oct 29 13:10:18 desktop-linux kernel: [ 633.338145] hub 8-0:1.0: unable to enumerate USB device on port 2
Oct 29 13:10:19 desktop-linux kernel: [ 633.585604] hub 8-0:1.0: unable to enumerate USB device on port 2
Oct 29 13:10:19 desktop-linux kernel: [ 633.832921] hub 8-0:1.0: unable to enumerate USB device on port 2

For this reason i won't attach it. (12MB)

the_burk (marcus-brandberg) wrote :

+one

uname -r : 3.0.0-12-generic

grub acpi=off

had worse problems b4 .. ended in lockups every 45 minutes or so..

anyway got kern.log here

the_burk (marcus-brandberg) wrote :

and kern.log.1

J B (scottie) wrote :

follow-up to my comment on #100.
on xubuntu oneiric 11.10, bug is back.
on tty, about 2 times each second:

hub 2-0:1.0: unable to enumerate USB device on port 5

noticed it after installation of pulseaudio-module-bluetooth.
not sure if that's the cause though. or if it's from updates.

all usb devices are working including webcam and bluetooth playback and input

 3.0.0-14-generic #23-Ubuntu SMP i686 athlon i386 GNU/Linux

*-usb:0
          description: USB Controller
          product: MCP67 OHCI USB 1.1 Controller
          vendor: nVidia Corporation
          physical id: 2
          bus info: pci@0000:00:02.0
          version: a2
          width: 32 bits
          clock: 66MHz
          capabilities: pm ohci bus_master cap_list
          configuration: driver=ohci_hcd latency=0 maxlatency=1 mingnt=3
          resources: irq:17 memory:fc486000-fc486fff
     *-usb:1
          description: USB Controller
          product: MCP67 EHCI USB 2.0 Controller
          vendor: nVidia Corporation
          physical id: 2.1
          bus info: pci@0000:00:02.1
          version: a2
          width: 32 bits
          clock: 66MHz
          capabilities: debug pm ehci bus_master cap_list
          configuration: driver=ehci_hcd latency=0 maxlatency=1 mingnt=3
          resources: irq:17 memory:fc489000-fc4890ff
     *-usb:2
          description: USB Controller
          product: MCP67 OHCI USB 1.1 Controller
          vendor: nVidia Corporation
          physical id: e
          bus info: pci@0000:00:04.0
          version: a2
          width: 32 bits
          clock: 66MHz
          capabilities: pm ohci bus_master cap_list
          configuration: driver=ohci_hcd latency=0 maxlatency=1 mingnt=3
          resources: irq:16 memory:fc487000-fc487fff
     *-usb:3
          description: USB Controller
          product: MCP67 EHCI USB 2.0 Controller
          vendor: nVidia Corporation
          physical id: 4.1
          bus info: pci@0000:00:04.1
          version: a2
          width: 32 bits
          clock: 66MHz
          capabilities: debug pm ehci bus_master cap_list
          configuration: driver=ehci_hcd latency=0 maxlatency=1 mingnt=3
          resources: irq:16 memory:fc489400-fc4894ff

J B (scottie) wrote :

sometimes there is no error at all when the computer is newly booted up.

Mark Preston (emarkpreston) wrote :

The kern.log has this line:

Jul 24 10:41:38 Lexington kernel: [ 6100.207979] hub 1-7:1.0: unable to enumerate USB device on port 3

repeat without stopping while the computer is powered up. The time changes but the message repeats over and over.

mark@Lexington:~$ uname -r
3.8.0-26-generic

however this is Xubuntu.

Displaying first 40 and last 40 comments. View all 106 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers